Change in docker-playground[master]: ttcn3-bsc-test: enable A5/4 support in osmo-bsc.cfg

fixeria gerrit-no-reply at lists.osmocom.org
Tue Jun 29 10:28:59 UTC 2021


fixeria has uploaded this change for review. ( https://gerrit.osmocom.org/c/docker-playground/+/24790 )


Change subject: ttcn3-bsc-test: enable A5/4 support in osmo-bsc.cfg
......................................................................

ttcn3-bsc-test: enable A5/4 support in osmo-bsc.cfg

Conditionally exclude it for non-master versions of the IUT.

Change-Id: I59f81c2dd72ddc2d292f8f34281fa79289d49c6d
Related: SYS#5324
---
M ttcn3-bsc-test/jenkins-sccplite.sh
M ttcn3-bsc-test/jenkins.sh
M ttcn3-bsc-test/osmo-bsc.cfg
M ttcn3-bsc-test/sccplite/osmo-bsc.cfg
4 files changed, 14 insertions(+), 2 deletions(-)



  git pull ssh://gerrit.osmocom.org:29418/docker-playground refs/changes/90/24790/1

diff --git a/ttcn3-bsc-test/jenkins-sccplite.sh b/ttcn3-bsc-test/jenkins-sccplite.sh
index bc6eaa0..2abd7be 100755
--- a/ttcn3-bsc-test/jenkins-sccplite.sh
+++ b/ttcn3-bsc-test/jenkins-sccplite.sh
@@ -19,6 +19,12 @@
 mkdir $VOL_BASE_DIR/bsc
 cp sccplite/osmo-bsc.cfg $VOL_BASE_DIR/bsc/
 
+# Exclude A5/4 for non-master versions of the IUT
+if ! [[ "$IMAGE_SUFFIX" == +(master|master-*) ]]; then
+	sed "s/encryption a5 0 1 3 4/encryption a5 0 1 3/" \
+		-i $VOL_BASE_DIR/bsc/osmo-bsc.cfg
+fi
+
 SUBNET=12
 network_create $SUBNET
 
diff --git a/ttcn3-bsc-test/jenkins.sh b/ttcn3-bsc-test/jenkins.sh
index 18236a2..d440f5f 100755
--- a/ttcn3-bsc-test/jenkins.sh
+++ b/ttcn3-bsc-test/jenkins.sh
@@ -22,6 +22,12 @@
 
 mkdir $VOL_BASE_DIR/bts-omldummy
 
+# Exclude A5/4 for non-master versions of the IUT
+if ! [[ "$IMAGE_SUFFIX" == +(master|master-*) ]]; then
+	sed "s/encryption a5 0 1 3 4/encryption a5 0 1 3/" \
+		-i $VOL_BASE_DIR/bsc/osmo-bsc.cfg
+fi
+
 SUBNET=2
 network_create $SUBNET
 
diff --git a/ttcn3-bsc-test/osmo-bsc.cfg b/ttcn3-bsc-test/osmo-bsc.cfg
index 2044346..244e205 100644
--- a/ttcn3-bsc-test/osmo-bsc.cfg
+++ b/ttcn3-bsc-test/osmo-bsc.cfg
@@ -75,7 +75,7 @@
 network
  network country code 1
  mobile network code 1
- encryption a5 0 1 3
+ encryption a5 0 1 3 4
  neci 1
  paging any use tch 0
  handover 1
diff --git a/ttcn3-bsc-test/sccplite/osmo-bsc.cfg b/ttcn3-bsc-test/sccplite/osmo-bsc.cfg
index 564ebce..0618e44 100644
--- a/ttcn3-bsc-test/sccplite/osmo-bsc.cfg
+++ b/ttcn3-bsc-test/sccplite/osmo-bsc.cfg
@@ -64,7 +64,7 @@
 network
  network country code 1
  mobile network code 1
- encryption a5 0 1 3
+ encryption a5 0 1 3 4
  neci 1
  paging any use tch 0
  handover 1

-- 
To view, visit https://gerrit.osmocom.org/c/docker-playground/+/24790
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings

Gerrit-Project: docker-playground
Gerrit-Branch: master
Gerrit-Change-Id: I59f81c2dd72ddc2d292f8f34281fa79289d49c6d
Gerrit-Change-Number: 24790
Gerrit-PatchSet: 1
Gerrit-Owner: fixeria <vyanitskiy at sysmocom.de>
Gerrit-MessageType: newchange
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/gerrit-log/attachments/20210629/2a10a274/attachment.htm>


More information about the gerrit-log mailing list